/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.objectdb.main;

import CrsCde.CODE.Common.Utils.DATEUtil;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import org.objectdb.entity.Admin;
import org.objectdb.entity.Agent;
import org.objectdb.entity.UserType;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author Author
 * @since 27 May, 2019
 */
public class Main
{

    static EntityManagerFactory emf;
    static EntityManager em;

    public Main()
    {
        emf = Persistence.createEntityManagerFactory("$objectdb/db/ObjectDBDemo.odb");
        em = emf.createEntityManager();
    }

    public static void main(String[] args)
    {
        System.setProperty(org.slf4j.impl.SimpleLogger.DEFAULT_LOG_LEVEL_KEY, "TRACE");

        Main m = new Main();

        Admin admin1 = em.find(Admin.class, 1);
        admin1.setPassword("admin");
        
        Admin admin2 = new Admin();
        admin2.setLoginId("admin_3");
        admin2.setPassword("admin_3");
        admin2.setPhoneNo("9876543210");
        admin2.setUserType(UserType.Admin);
        admin2.setCraetedBy(2l);
        admin2.setCreatedOn(DATEUtil.Now());
        
        m.insert(admin2);
    }

    public void insert(Object o)
    {
        em.getTransaction().begin();
        em.persist(o);
        em.getTransaction().commit();
    }

}
